REST APIEnterprise

GET

Path Params

  • enterpriseId string required
    The enterprise ID

    matches ^[0-9a-f]{32}$

Query Params

  • allowInactiveUsers boolean
    Whether inactive Users whose emails are unverified should be returned as well

Responses

200
OK

Response Body

object

  • adminUsers array of objects
    adminUsers object
    • id string

      matches ^[0-9a-f]{32}$

    • username string email
    • firstName string
      User first name
    • lastName string
      User last name
    • fullName string
      User full name
    • isActive boolean
    • email object
      email object
      • email string email
      • verified boolean
        User has verified their email
    • verified boolean
      User has verified their email
    • identity object
      identity object
      • kyc object
        kyc object
        • hasVideoID boolean
          User has done initial video ID
        • overallState string enum
          approvedflaggedflagged_retry_allowedinreviewpendingrejectedunverified
        • required boolean
          Sanction screening is required for this User
  • nonAdminUsers array of objects
    nonAdminUsers object
    • Same shape as EnterpriseUser.
  • count integer
    The total number of Users returned.
  • incomplete boolean
    Set to true if the Enterprise has at least 500 v1 or v2 wallets. If there are more than 500 wallets (either v1 or v2) it could mean that some Wallets were not considered for finding all Users.
400
Bad Request

Response Body

ONE OF

  • error string required
    Human-readable error message
  • requestId string required
    Client request id
  • context object
    Properties that apply to a specific error name
  • name string required
    Error code
404
Not Found

Response Body

object

  • error string required
    Human-readable error message
  • requestId string required
    Client request id
  • context object
    Properties that apply to a specific error name
  • name string required
    Error code